## ros-humble-plansys2-bringup 2.0.9

=== CMakeLists.txt ===
project(plansys2_bringup)

cmake_minimum_required(VERSION 3.5)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(plansys2_domain_expert REQUIRED)
find_package(plansys2_problem_expert REQUIRED)
find_package(plansys2_planner REQUIRED)
find_package(plansys2_executor REQUIRED)
find_package(plansys2_lifecycle_manager REQUIRED)

set(CMAKE_CXX_STANDARD 17)

set(dependencies
    rclcpp
    plansys2_domain_expert
    plansys2_problem_expert
    plansys2_planner
    plansys2_executor
    plansys2_lifecycle_manager
)

add_executable(plansys2_node
  src/plansys2_node.cpp
)
ament_target_dependencies(plansys2_node ${dependencies})
target_compile_definitions(plansys2_node PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(DIRECTORY launch params DESTINATION share/${PROJECT_NAME})
install(TARGETS
  plansys2_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

ament_export_dependencies(${dependencies})
ament_package()

=== debian/changelog ===
ros-humble-plansys2-bringup (2.0.9-1jammy) jammy; urgency=high

  * Expose lifecyclemanager timeout as a parameter, other misc fixes/features
  * Change bringup node to return an error on failure
  * Add timeout to startup_function
  * Rename function 'startup_script'
  * change 'startup_script'... function return to bool
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-humble-plansys2-bringup (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-humble-plansys2-bringup (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-humble-plansys2-bringup (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-bringup (2.0.5-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-bringup (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-bringup (2.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-humble-plansys2-bringup (2.0.2-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-humble-plansys2-bringup (2.0.1-1jammy) jammy; urgency=high

  * Update deprecated APIs in launchers and parameters
  * Update launcher param names
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-humble-plansys2-bringup (2.0.0-1jammy) jammy; urgency=high

  * Compile for ROS2 Galactic
  * Contributors: Francisco Martín Rico, Jonatan Olofsson

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-humble-plansys2-bringup (1.0.10-1jammy) jammy; urgency=high

  * pddl-tree-messages: Merging master and resolving conflicts.
  * Using custom behavior tree to enable action timeouts.
  * pddl-tree-messages: Merging upstream master and resolving conflicts.
  * Making TFD plugin type match popf.
  * linting
  * Configurable action BT
  * Configurable BT Action
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-humble-plansys2-bringup (1.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-humble-plansys2-bringup (1.0.8-1jammy) jammy; urgency=high

  * Update API for FutureReturnCode
  * Add support for numeric conditions and effects.
  * Contributors: Fabrice Larribe, Francisco Martin Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-humble-plansys2-bringup (1.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000

ros-humble-plansys2-bringup (1.0.6-1jammy) jammy; urgency=high

  * Disable boost functions
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-humble-plansys2-bringup (1.0.5-1jammy) jammy; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 23:00:00 -0000

ros-humble-plansys2-bringup (1.0.4-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-humble-plansys2-bringup (1.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-humble-plansys2-bringup (1.0.2-1jammy) jammy; urgency=high

  * Plan solvers as plugins
  * Contributors: Fabrice Larribe, Francisco Martin Rico, Stephen Balakirsky

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-humble-plansys2-bringup (1.0.1-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-humble-plansys2-bringup (1.0.0-1jammy) jammy; urgency=high

  * Foxy initial version
  * Boost:optional
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-humble-plansys2-bringup (0.0.8-1jammy) jammy; urgency=high

  * Foxy initial version
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 17 Jul 2020 22:00:00 -0000

ros-humble-plansys2-bringup (0.0.7-1jammy) jammy; urgency=high

  * Fix warning in last cmake versions
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-humble-plansys2-bringup (0.0.6-1jammy) jammy; urgency=high

  * Make mandatory to specify model
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Run in separate namespaces. Monolothic node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-humble-plansys2-bringup (0.0.5-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 11 Jan 2020 23:00:00 -0000

ros-humble-plansys2-bringup (0.0.4-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-humble-plansys2-bringup (0.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-humble-plansys2-bringup (0.0.2-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-plansys2-bringup
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-launch <!nocheck>, ros-humble-launch-testing <!nocheck>, ros-humble-plansys2-domain-expert, ros-humble-plansys2-executor, ros-humble-plansys2-lifecycle-manager, ros-humble-plansys2-planner, ros-humble-plansys2-problem-expert, ros-humble-rclcpp, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-plansys2-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch-ros, ros-humble-plansys2-domain-expert, ros-humble-plansys2-executor, ros-humble-plansys2-lifecycle-manager, ros-humble-plansys2-planner, ros-humble-plansys2-problem-expert, ros-humble-rclcpp, ros-humble-ros-workspace
Description: Bringup scripts and configurations for the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-plansys2-bringup//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
